import pygame
from pygame.locals import *

#This class is responsible for rendering and drawing text to the screen

class FontDrawer:

    def __init__(self):
        #Initialize new dictionary to store prerendered text so it isnt rerendered each frame
        self.cache = {}

    #Draw some text that will not change  often so it is safe to cache the result
    def drawCachedText(self, screen, font, text, x, y, size, color, bold):
        #Lookup font in dictionary to see if it's prerendered
        if (font, text, color, size, bold) in self.cache:
            fontSurface = self.cache[(font, text, color, size, bold)]
        else: #Or else it needs to be generated and stored in the cache
            pyFont = pygame.font.SysFont(font, size, bold)
            fontSurface = pyFont.render(text, 1, color)
            self.cache[(font, text, color, size, bold)] = fontSurface

        #Actually draw the font to the screen
        screen.blit(fontSurface,(x,y))

	#Draw the text without caching it
    def drawText(self, screen, font, text, x, y, size, color, bold):
        pyFont = pygame.font.SysFont(font, size, bold)
        fontSurface = pyFont.render(text, 1, color)

        #Actually draw the font to the screen
        screen.blit(fontSurface,(x,y))
