from screenmanager import *
from fontdrawer import *
from maingame import *
from leveleditor import *
import pygame
from pygame.locals import *

class StoryScreen(Screen):

    #Set up the story screen
    def __init__(self, screenManager):
        Screen.__init__(self, screenManager)

        self.fd = FontDrawer()

        self.background = pygame.image.load("sprites/bg.png")

    #Draw the story :)
    def draw(self, screen):
        screen.blit(self.background, self.background.get_rect())

        self.fd.drawCachedText(screen, "Arial", "Purple blocks have taken over the world!", 20,20,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "They have built forts everywhere.", 20,50,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "Their only weakness is red blocks so it", 20,80,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "is your job to throw red blocks at them to", 20,110,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "eliminate them. To fire the slingshot click", 20,140,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "on the red block and pull it backwards with", 20,170,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "the mouse and release when you want to fire.", 20,200,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "The goal is to use as few red block as possible.", 20,230,30,(0,0,0),True)
        self.fd.drawCachedText(screen, "Arial", "Press Backspace to return.", 20,260,30,(0,0,0),True)

    #Allow the user to go back to the previous screen
    def keyinput(self, keypress, keyup, mousepress, mouseup):
        for key in keypress:
            if key== K_BACKSPACE:
                self.manager.removeTopScreen()
